GNU logs - #50024, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50024] [PATCH] gnu: Add ocaml-ppx-deriving.
Resent-From: Xinglu Chen <public@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 12 Aug 2021 14:05:01 +0000
Resent-Message-ID: <handler.50024.B.162877706010503 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50024
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50024 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.162877706010503
          (code B ref -1); Thu, 12 Aug 2021 14:05:01 +0000
Received: (at submit) by debbugs.gnu.org; 12 Aug 2021 14:04:20 +0000
Received: from localhost ([127.0.0.1]:39548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEBJg-0002jH-AX
	for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:35730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mEBJb-0002j7-WB
 for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46952)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJb-0006cY-QH
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:55346
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJZ-0002fI-Fr
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628777043;
 bh=VEtDcDb1oVr1tknL0gQoDR/kTJu4jKTtxkhkV1wZYzY=;
 h=From:To:Subject:Date;
 b=reo+G4rpOZYEPi4tlWbXHCJ5U5zQiP6d2oRnwaEX/jd7bV/N2CdE2kjDGb9j8+y4+
 6QOWOWsfX3UsQThx/RLaF727vJBd2b3Nx4rAMof/gcKYnU4cT+DDYeE7OFrmZ6SuR1
 4AvoaIT4SRFAquh0Thcpg4YQ9Ny3yc8Ktdyt1p3c=
Message-Id: <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
Date: Thu, 12 Aug 2021 16:04:02 +0200
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 18
X-Spam_score: 1.8
X-Spam_bar: +
X-Spam_report: (1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.5,
 FROM_SUSPICIOUS_NTLD_FP=0.391, PDS_OTHER_BAD_TLD=1.999,
 PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
 --- gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++ 1 file changed,
 31 insertions(+) diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
 index 112751ddec..7cc51a9883 100644 --- a/gnu/packages/ocaml.scm +++
 b/gnu/packages/ocaml.scm
 @@ -5012,6 +5012,37 @@ a more consistent API. [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 112751ddec..7cc51a9883 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -5012,6 +5012,37 @@ a more consistent API.")
                          "0pqbp2wy5fgmc38irwvmj9nlcvclb1ix1mp4y7l39bgvvlz303h9"))
      (properties '()))))
 
+(define-public ocaml-ppx-deriving
+  (package
+    (name "ocaml-ppx-deriving")
+    (version "5.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ocaml-ppx/ppx_deriving")
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1wqcnw4wi6pfjjhixpakckm03dpj990259za432804471a6spm2j"))))
+    (build-system dune-build-system)
+    (arguments
+     `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-derivers" ,ocaml-ppx-derivers)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)
+       ("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocaml-cppo" ,ocaml-cppo)
+       ("ocaml-ounit2" ,ocaml-ounit2)))
+    (properties `((upstream-name . "ppx_deriving")))
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving")
+    (synopsis "Type-driven code generation for OCaml")
+    (description
+     "This OCaml package provides common infrastructure for generating code based
+on type definitions, and a set of useful plugins for common tasks.")
+    (license license:expat)))
+
 (define-public ocaml-ppx-derivers
   (package
     (name "ocaml-ppx-derivers")

base-commit: 8221cf834946ed65a12b88f2faf7b26a2d57db3a
-- 
2.32.0






Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Xinglu Chen <public@HIDDEN>
Subject: bug#50024: Acknowledgement ([PATCH] gnu: Add ocaml-ppx-deriving.)
Message-ID: <handler.50024.B.162877706010503.ack <at> debbugs.gnu.org>
References: <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
X-Gnu-PR-Message: ack 50024
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50024 <at> debbugs.gnu.org
Date: Thu, 12 Aug 2021 14:05:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 50024 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50024: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50024
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Julien Lepiller <julien@HIDDEN>
Subject: bug#50024: closed ([PATCH] gnu: Add ocaml-ppx-deriving.)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.50024.D50024.163369177125810.ackdone <at> debbugs.gnu.org>
References: <20211008131552.59f77db3@HIDDEN>
 <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
X-Gnu-PR-Message: closed 50024
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Date: Fri, 08 Oct 2021 11:17:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1633691822-25887-0"

This is a multi-part message in MIME format...

------------=_1633691822-25887-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Fri, 8 Oct 2021 13:15:52 +0200
with message-id <20211008131552.59f77db3@HIDDEN>
and subject line Re: [PATCH] gnu: Add ocaml-ppx-deriving.
has caused the debbugs.gnu.org bug report #50024,
regarding [PATCH] gnu: Add ocaml-ppx-deriving.
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
50024: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50024
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1633691822-25887-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 12 Aug 2021 14:04:20 +0000
Received: from localhost ([127.0.0.1]:39548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEBJg-0002jH-AX
	for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:35730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mEBJb-0002j7-WB
 for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46952)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJb-0006cY-QH
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:55346
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJZ-0002fI-Fr
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628777043;
 bh=VEtDcDb1oVr1tknL0gQoDR/kTJu4jKTtxkhkV1wZYzY=;
 h=From:To:Subject:Date;
 b=reo+G4rpOZYEPi4tlWbXHCJ5U5zQiP6d2oRnwaEX/jd7bV/N2CdE2kjDGb9j8+y4+
 6QOWOWsfX3UsQThx/RLaF727vJBd2b3Nx4rAMof/gcKYnU4cT+DDYeE7OFrmZ6SuR1
 4AvoaIT4SRFAquh0Thcpg4YQ9Ny3yc8Ktdyt1p3c=
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ocaml-ppx-deriving.
Message-Id: <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
Date: Thu, 12 Aug 2021 16:04:02 +0200
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 18
X-Spam_score: 1.8
X-Spam_bar: +
X-Spam_report: (1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.5,
 FROM_SUSPICIOUS_NTLD_FP=0.391, PDS_OTHER_BAD_TLD=1.999,
 PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
 --- gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++ 1 file changed,
 31 insertions(+) diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
 index 112751ddec..7cc51a9883 100644 --- a/gnu/packages/ocaml.scm +++
 b/gnu/packages/ocaml.scm
 @@ -5012,6 +5012,37 @@ a more consistent API. [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 112751ddec..7cc51a9883 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -5012,6 +5012,37 @@ a more consistent API.")
                          "0pqbp2wy5fgmc38irwvmj9nlcvclb1ix1mp4y7l39bgvvlz303h9"))
      (properties '()))))
 
+(define-public ocaml-ppx-deriving
+  (package
+    (name "ocaml-ppx-deriving")
+    (version "5.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ocaml-ppx/ppx_deriving")
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1wqcnw4wi6pfjjhixpakckm03dpj990259za432804471a6spm2j"))))
+    (build-system dune-build-system)
+    (arguments
+     `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-derivers" ,ocaml-ppx-derivers)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)
+       ("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocaml-cppo" ,ocaml-cppo)
+       ("ocaml-ounit2" ,ocaml-ounit2)))
+    (properties `((upstream-name . "ppx_deriving")))
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving")
+    (synopsis "Type-driven code generation for OCaml")
+    (description
+     "This OCaml package provides common infrastructure for generating code based
+on type definitions, and a set of useful plugins for common tasks.")
+    (license license:expat)))
+
 (define-public ocaml-ppx-derivers
   (package
     (name "ocaml-ppx-derivers")

base-commit: 8221cf834946ed65a12b88f2faf7b26a2d57db3a
-- 
2.32.0





------------=_1633691822-25887-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50024-done) by debbugs.gnu.org; 8 Oct 2021 11:16:11 +0000
Received: from localhost ([127.0.0.1]:49358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYnrG-0006iE-Ut
	for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 07:16:11 -0400
Received: from lepiller.eu ([89.234.186.109]:34548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1mYnrB-0006hy-GV
 for 50024-done <at> debbugs.gnu.org; Fri, 08 Oct 2021 07:16:09 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 8b04d29e
 for <50024-done <at> debbugs.gnu.org>;
 Fri, 8 Oct 2021 11:16:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:message-id:mime-version:content-type
 :content-transfer-encoding; s=dkim; bh=kQ5D3X7sr2LpsmbFDdTD3OrsE
 YpqSe9jW2ypRxYw1Gw=; b=OWp+KM15cv3XeLfbu3f9WCrzMfxFptCDIUKYwpp9w
 +o8wSW0TQfd1BmE1RSLoPv8vX0jx0Pw2xISh2bhaR2B/x/ifQVStdjAKKYTabZsW
 XsyTLbeyV73M18in3d8HyNEuOpumUzMvWH4QTCZxDTntgo2JzbQHlXCaIdx11q2l
 PRkac3B6qeYrYjhOLDd/MoqN5cnlDlTch0oZowErfF5+4XVOLicA+fDCbUwmMVe+
 5YZzx25pHBEgvPM2dww3ZX/p65/9m50bKH9OmNVykNtxreAmTgVPi6A4zwFlSkYc
 P0VRqbaQFjD0bxH5YoJGW2pfwLWBb7WWYJlwyVnSeZNtg==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 02900982
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO)
 for <50024-done <at> debbugs.gnu.org>;
 Fri, 8 Oct 2021 11:16:03 +0000 (UTC)
Date: Fri, 8 Oct 2021 13:15:52 +0200
From: Julien Lepiller <julien@HIDDEN>
To: 50024-done <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Add ocaml-ppx-deriving.
Message-ID: <20211008131552.59f77db3@HIDDEN>
X-Mailer: Claws Mail 3.18.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50024-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pushed to master as 989b372a6a0127a9ed285ce8388a4ba0218b097b, thanks!

I added a file name to the sources and changed the description slightly.


------------=_1633691822-25887-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Xinglu Chen <public@HIDDEN>
Subject: bug#50024: closed (Re: [PATCH] gnu: Add ocaml-ppx-deriving.)
Message-ID: <handler.50024.D50024.163369177125810.notifdone <at> debbugs.gnu.org>
References: <20211008131552.59f77db3@HIDDEN>
 <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
X-Gnu-PR-Message: they-closed 50024
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50024 <at> debbugs.gnu.org
Date: Fri, 08 Oct 2021 11:17:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1633691822-25887-1"

This is a multi-part message in MIME format...

------------=_1633691822-25887-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#50024: [PATCH] gnu: Add ocaml-ppx-deriving.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 50024 <at> debbugs.gnu.org.

--=20
50024: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50024
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1633691822-25887-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 50024-done) by debbugs.gnu.org; 8 Oct 2021 11:16:11 +0000
Received: from localhost ([127.0.0.1]:49358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYnrG-0006iE-Ut
	for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 07:16:11 -0400
Received: from lepiller.eu ([89.234.186.109]:34548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1mYnrB-0006hy-GV
 for 50024-done <at> debbugs.gnu.org; Fri, 08 Oct 2021 07:16:09 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 8b04d29e
 for <50024-done <at> debbugs.gnu.org>;
 Fri, 8 Oct 2021 11:16:03 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:message-id:mime-version:content-type
 :content-transfer-encoding; s=dkim; bh=kQ5D3X7sr2LpsmbFDdTD3OrsE
 YpqSe9jW2ypRxYw1Gw=; b=OWp+KM15cv3XeLfbu3f9WCrzMfxFptCDIUKYwpp9w
 +o8wSW0TQfd1BmE1RSLoPv8vX0jx0Pw2xISh2bhaR2B/x/ifQVStdjAKKYTabZsW
 XsyTLbeyV73M18in3d8HyNEuOpumUzMvWH4QTCZxDTntgo2JzbQHlXCaIdx11q2l
 PRkac3B6qeYrYjhOLDd/MoqN5cnlDlTch0oZowErfF5+4XVOLicA+fDCbUwmMVe+
 5YZzx25pHBEgvPM2dww3ZX/p65/9m50bKH9OmNVykNtxreAmTgVPi6A4zwFlSkYc
 P0VRqbaQFjD0bxH5YoJGW2pfwLWBb7WWYJlwyVnSeZNtg==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 02900982
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO)
 for <50024-done <at> debbugs.gnu.org>;
 Fri, 8 Oct 2021 11:16:03 +0000 (UTC)
Date: Fri, 8 Oct 2021 13:15:52 +0200
From: Julien Lepiller <julien@HIDDEN>
To: 50024-done <at> debbugs.gnu.org
Subject: Re: [PATCH] gnu: Add ocaml-ppx-deriving.
Message-ID: <20211008131552.59f77db3@HIDDEN>
X-Mailer: Claws Mail 3.18.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50024-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pushed to master as 989b372a6a0127a9ed285ce8388a4ba0218b097b, thanks!

I added a file name to the sources and changed the description slightly.


------------=_1633691822-25887-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 12 Aug 2021 14:04:20 +0000
Received: from localhost ([127.0.0.1]:39548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mEBJg-0002jH-AX
	for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:35730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mEBJb-0002j7-WB
 for submit <at> debbugs.gnu.org; Thu, 12 Aug 2021 10:04:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46952)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJb-0006cY-QH
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:55346
 helo=mail.yoctocell.xyz)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <public@HIDDEN>)
 id 1mEBJZ-0002fI-Fr
 for guix-patches@HIDDEN; Thu, 12 Aug 2021 10:04:11 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1628777043;
 bh=VEtDcDb1oVr1tknL0gQoDR/kTJu4jKTtxkhkV1wZYzY=;
 h=From:To:Subject:Date;
 b=reo+G4rpOZYEPi4tlWbXHCJ5U5zQiP6d2oRnwaEX/jd7bV/N2CdE2kjDGb9j8+y4+
 6QOWOWsfX3UsQThx/RLaF727vJBd2b3Nx4rAMof/gcKYnU4cT+DDYeE7OFrmZ6SuR1
 4AvoaIT4SRFAquh0Thcpg4YQ9Ny3yc8Ktdyt1p3c=
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add ocaml-ppx-deriving.
Message-Id: <5b30f72701e120a621e1a904922ba5b23dff89c6.1628777020.git.public@HIDDEN>
Date: Thu, 12 Aug 2021 16:04:02 +0200
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=87.96.130.155; envelope-from=public@HIDDEN;
 helo=mail.yoctocell.xyz
X-Spam_score_int: 18
X-Spam_score: 1.8
X-Spam_bar: +
X-Spam_report: (1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.5,
 FROM_SUSPICIOUS_NTLD_FP=0.391, PDS_OTHER_BAD_TLD=1.999,
 PDS_RDNS_DYNAMIC_FP=0.001, RDNS_DYNAMIC=0.982, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
 --- gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++ 1 file changed,
 31 insertions(+) diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
 index 112751ddec..7cc51a9883 100644 --- a/gnu/packages/ocaml.scm +++
 b/gnu/packages/ocaml.scm
 @@ -5012,6 +5012,37 @@ a more consistent API. [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

* gnu/packages/ocaml.scm (ocaml-ppx-deriving): New variable.
---
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index 112751ddec..7cc51a9883 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -5012,6 +5012,37 @@ a more consistent API.")
                          "0pqbp2wy5fgmc38irwvmj9nlcvclb1ix1mp4y7l39bgvvlz303h9"))
      (properties '()))))
 
+(define-public ocaml-ppx-deriving
+  (package
+    (name "ocaml-ppx-deriving")
+    (version "5.2.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ocaml-ppx/ppx_deriving")
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1wqcnw4wi6pfjjhixpakckm03dpj990259za432804471a6spm2j"))))
+    (build-system dune-build-system)
+    (arguments
+     `(#:test-target "."))
+    (propagated-inputs
+     `(("ocaml-ppx-derivers" ,ocaml-ppx-derivers)
+       ("ocaml-ppxlib" ,ocaml-ppxlib)
+       ("ocaml-result" ,ocaml-result)))
+    (native-inputs
+     `(("ocaml-cppo" ,ocaml-cppo)
+       ("ocaml-ounit2" ,ocaml-ounit2)))
+    (properties `((upstream-name . "ppx_deriving")))
+    (home-page "https://github.com/ocaml-ppx/ppx_deriving")
+    (synopsis "Type-driven code generation for OCaml")
+    (description
+     "This OCaml package provides common infrastructure for generating code based
+on type definitions, and a set of useful plugins for common tasks.")
+    (license license:expat)))
+
 (define-public ocaml-ppx-derivers
   (package
     (name "ocaml-ppx-derivers")

base-commit: 8221cf834946ed65a12b88f2faf7b26a2d57db3a
-- 
2.32.0





------------=_1633691822-25887-1--



Last modified: Fri, 8 Oct 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.